#ifndef PULTWINDOW_DESKTOP_H
#define PULTWINDOW_DESKTOP_H

#include "pultwindow_base.h"


class PultWindowDesktop: public PultWindowBase {
	Q_OBJECT
public:
	PultWindowDesktop();
	~PultWindowDesktop();
	
protected:
#ifndef ANDROID
	void restartTimer(int timeout) {stopTimer(); timer = startTimer(timeout);}
	void stopTimer() {if (timer == 0) return; killTimer(timer); timer = 0;}
	void pressScreenButton();
	void timerEvent(QTimerEvent * e);
	void mousePressEvent(QMouseEvent * e);
	
	int timer, timer_mc, pin_display, sides_count;
	bool display_on, display_control;
#endif
	
};


#endif // PULTWINDOW_DESKTOP_H
